package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.Feedback;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.FeedbackMapper")
public interface FeedbackMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(Feedback record);

    Feedback selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(Feedback record);

    List<Feedback> queryAllFeedback(Feedback record);

    List<Feedback> queryFeedbackByPage(Map<String, Object> parameter);

    int delete(String id);

    Feedback queryFeedback(Feedback record);

    List<Feedback> query(Feedback record);
}

